;;; This source file is part of the Meta-CVS program, 
;;; which is distributed under the GNU license.
;;; Copyright 2002 Kaz Kylheku

(in-package :meta-cvs)

(defconstant *chatter-debug* 3)
(defconstant *chatter-info* 2)
(defconstant *chatter-terse* 1)
(defconstant *chatter-silent* 0)

(defvar *chatter-level* *chatter-info*)

(defun chatter (level &rest args)
  (when (>= *chatter-level* level)
    (write-string "* " *error-output*)
    (apply #'format *error-output* args)))

(defmacro chatter-debug (&rest args)
  `(chatter *chatter-debug* ,@args))

(defmacro chatter-info (&rest args)
  `(chatter *chatter-info* ,@args))

(defmacro chatter-terse (&rest args)
  `(chatter *chatter-terse* ,@args))
