(defpackage #:mcvs-system (:use #:cl #:asdf))
(in-package :mcvs-system)

(defsystem 
  :mcvs
  :components 
  ((:file "main"
    :depends-on 
    ("package" "options" "create" "grab" "checkout" "add" "remove" "move" 
     "link" "update" "generic" "filt" "convert" "branch" "purge" "restore"
     "remap" "prop" "watch" "clisp-unix"))
   (:file "create" :depends-on ("package" "dirwalk"))
   (:file "grab" :depends-on ("package" "dirwalk" "find-bind" "mapping"))
   (:file "checkout" :depends-on ("package" "find-bind" "mapping"))
   (:file "add" :depends-on ("package" "dirwalk" "options" "restart" "mapping"))
   (:file "remove" :depends-on ("package" "restart" "find-bind" "mapping"))
   (:file "move" :depends-on ("package" "restart" "mapping"))
   (:file "link" :depends-on ("package" "mapping"))
   (:file "update" :depends-on ("package" "options" "mapping"))
   (:file "generic" :depends-on ("package" "options" "restart" "mapping"))
   (:file "filt" :depends-on ("package" "find-bind" "mapping"))
   (:file "convert" :depends-on ("package" "dirwalk" "mapping" "types"))
   (:file "branch" :depends-on ("package" "mapping"))
   (:file "purge" :depends-on ("package" "mapping"))
   (:file "restore" :depends-on ("package" "mapping"))
   (:file "remap" :depends-on ("package" "dirwalk" "mapping"))
   (:file "prop" :depends-on ("package" "restart" "mapping"))
   (:file "watch" :depends-on ("package" "find-bind"))
   (:file "rcs-utils" :depends-on ("package" "slot-refs"))
   (:file "types" :depends-on ("package" "options" "paths" "mapping"))
   (:file "mapping" :depends-on ("package" "dirwalk" "options" 
				 "paths" "restart"))
   (:file "dirwalk" :depends-on ("package" "paths" "restart"))
   (:file "paths" :depends-on ("package"))
   (:file "print" :depends-on ("package"))
   (:file "sync" :depends-on ("package"))
   (:file "options" :depends-on ("package" "error" "unix" "find-bind"))
   (:file "error" :depends-on ("package"))
   (:file "find-bind" :depends-on ("package"))
   (:file "restart" :depends-on ("package"))
   (:file "slot-refs" :depends-on ("package"))
   (:file "seqfuncs" :depends-on ("package" "memoize"))
   (:file "memoize" :depends-on ("package" "multi-hash"))
   (:file "multi-hash" :depends-on ("package"))
   (:file "split" :depends-on ("package"))
   (:file "execute" :depends-on ("package" "clisp-unix"))
   (:file "unix" :depends-on ("package" "clisp-unix"))
   (:file "clisp-unix" :depends-on ("package" "clisp-ffi" "chatter"))
   (:file "chatter" :depends-on ("package"))
   (:file "package")
   (:file "clisp-ffi")))
