;;; This source file is part of the Meta-CVS program, 
;;; which is distributed under the GNU license.
;;; Copyright 2002 Kaz Kylheku

(eval-when (:compile-toplevel :load-toplevel :execute)
  (let ((load-dir (make-pathname 
		    :directory (pathname-directory *load-pathname*))))
    (flet ((lsd (name) ;; LSD means, like, LOAD-SAME-DIR, man!
	     (let ((path (merge-pathnames load-dir name)))
	       (if *compile-file-pathname*
		 (compile-file path)
		 (load path)))))
      (lsd "clisp-ffi")
      (lsd "package")
      (lsd "chatter")
      (lsd "split")
      (lsd "execute")
      (lsd "unix")
      (if (member :clisp-unix-funcs *features*)
	(lsd "clisp-unix"))
      #+cmu18c 
	(lsd "cmucl-unix")
      (lsd "paths")
      (lsd "restart")
      (lsd "dirwalk")
      (lsd "find-bind")
      (lsd "error")
      (lsd "options")
      (lsd "sync")
      (lsd "multi-hash")
      (lsd "memoize")
      (lsd "seqfuncs")
      (lsd "mapping")
      (lsd "print")
      (lsd "types")
      (lsd "create")
      (lsd "checkout")
      (lsd "remove")
      (lsd "add")
      (lsd "grab")
      (lsd "move")
      (lsd "link")
      (lsd "generic")
      (lsd "update")
      (lsd "filt")
      (lsd "slot-refs")
      (lsd "rcs-utils")
      (lsd "convert")
      (lsd "branch")
      (lsd "remap")
      (lsd "purge")
      (lsd "restore")
      (lsd "prop")
      (lsd "watch")
      (lsd "main"))))
